## postgresql-periods 1.1

=== Makefile ===
MODULES = periods
EXTENSION = periods
DOCS = README.periods

DATA = periods--1.0.sql \
	   periods--1.1.sql \
	   periods--1.0--1.1.sql

REGRESS = install \
		  periods \
		  system_time_periods \
		  system_versioning \
		  excluded_columns \
		  unique_foreign \
		  for_portion_of \
		  predicates \
		  drop_protection \
		  rename_following \
		  health_checks \
		  issues \
		  beeswax \
		  uninstall

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
postgresql-periods (1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Feb 2020 13:07:16 +0100

postgresql-periods (1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 12:59:23 +0100

postgresql-periods (1.0-1) unstable; urgency=medium

  * New upstream version.
  * Rename source package to postgresql-periods.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Aug 2019 12:08:01 +0200

periods (0.04-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 31 Jul 2019 10:34:51 +0200

periods (0.03-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Jul 2019 12:54:33 +0200

=== debian/control ===
Source: postgresql-periods
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.4.0
Vcs-Browser: https://github.com/xocolatl/periods
Vcs-Git: https://github.com/xocolatl/periods.git
Homepage: https://github.com/xocolatl/periods

Package: postgresql-12-periods
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-periods

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

## postgresql-periods 1.2

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,10 @@
 DOCS = README.periods
 
 DATA = periods--1.0.sql \
+	   periods--1.0--1.1.sql \
 	   periods--1.1.sql \
-	   periods--1.0--1.1.sql
+	   periods--1.1--1.2.sql \
+	   periods--1.2.sql
 
 REGRESS = install \
 		  periods \
@@ -17,6 +19,7 @@
 		  drop_protection \
 		  rename_following \
 		  health_checks \
+		  acl \
 		  issues \
 		  beeswax \
 		  uninstall

=== debian/changelog ===
postgresql-periods (1.2-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 09:58:19 +0200

postgresql-periods (1.2-3) unstable; urgency=medium

  * Depend on postgresql-contrib-PGVERSION for btree_gist on 9.x.

 -- Christoph Berg <myon@debian.org>  Fri, 06 Nov 2020 13:27:51 +0100

postgresql-periods (1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:39:38 +0200

postgresql-periods (1.2-1) unstable; urgency=medium

  * New upstream version.
  * DH 13.
  * Use dh --with pgxs.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Sep 2020 16:43:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://github.com/xocolatl/periods
 Vcs-Git: https://github.com/xocolatl/periods.git
 Homepage: https://github.com/xocolatl/periods
 
-Package: postgresql-12-periods
+Package: postgresql-14-periods
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-14, postgresql-contrib-14, ${misc:Depends}, ${shlibs:Depends}
 Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
  This extension attempts to recreate the behavior defined in SQL:2016
  (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The

=== debian/watch ===
version=4
https://github.com/xocolatl/periods/releases .*/v(.*).tar.gz

## postgresql-periods 1.2.2

=== debian/changelog ===
postgresql-periods (1.2.2-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 21:31:15 +0200

postgresql-periods (1.2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:31:15 +0200

postgresql-periods (1.2.2-1) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:03:45 +0200

postgresql-periods (1.2.1-1) unstable; urgency=medium

  * New version with PG 15 support.

 -- Christoph Berg <myon@debian.org>  Wed, 28 Sep 2022 13:33:57 +0200

=== debian/control ===
Source: postgresql-periods
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://github.com/xocolatl/periods
Vcs-Git: https://github.com/xocolatl/periods.git
Homepage: https://github.com/xocolatl/periods

Package: postgresql-10-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-10, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

Package: postgresql-11-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-11, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

Package: postgresql-12-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-12, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

Package: postgresql-13-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-13, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

Package: postgresql-14-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-14, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

Package: postgresql-15-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-15, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

Package: postgresql-16-periods
Architecture: any
Depends: ${postgresql:Depends}, postgresql-contrib-16, ${misc:Depends}, ${shlibs:Depends}
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

## postgresql-periods 1.2.3

=== debian/changelog ===
postgresql-periods (1.2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117324)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:43:26 +0200

postgresql-periods (1.2.3-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:33:38 +0200

=== debian/control ===
Source: postgresql-periods
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/xocolatl/periods
Vcs-Git: https://github.com/xocolatl/periods.git
Homepage: https://github.com/xocolatl/periods

Package: postgresql-18-periods
Architecture: any
Depends:
 postgresql-contrib-18,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PERIODs and SYSTEM VERSIONING for PostgreSQL
 This extension attempts to recreate the behavior defined in SQL:2016
 (originally SQL:2011) around periods and tables with SYSTEM VERSIONING. The
 idea is to figure out all the rules that PostgreSQL would like to adopt (there
 are some details missing in the standard) and to allow earlier versions of
 PostgreSQL to simulate the behavior once the feature is finally integrated.

=== debian/watch ===
version=4
https://github.com/xocolatl/periods/tags .*/v(.*).tar.gz
